<h1>Tarefas</h1>

<table class="table table-striped table-bordered table-hover">
  <tbody>
    <tr>
    	<th>Tarefa</th>
      <th>Concluída</th>
    	<th class="text-center">
        <a
          routerLink="/tarefas/cadastrar"
          title="Novo"
          alt="Novo"
          class="btn btn-xs btn-success">
          <span class="glyphicon glyphicon-plus" aria-hidden="true"></span> Novo
        </a>
    </th>
    <tr *ngFor="let tarefa of tarefas">
      <td
        [class.success]="!tarefa.concluida">
        {{ tarefa.nome }}
      </td>
      <td style="width: 70px" class="text-center">
        <input
          type="checkbox"
          (click)="alterarStatus(tarefa)"
          [value]="tarefa.id"
          [checked]="tarefa.concluida">
      </td>
      <td class="text-center" style="width: 200px">
        <a
          href="#"
          title="Editar"
          alt="Editar"
          class="btn btn-xs btn-info">
          <span class="glyphicon glyphicon-pencil" aria-hidden="true"></span> Editar
        </a>
        <a
          href="#"
          title="Remover"
          alt="Remover"
          class="btn btn-xs btn-danger">
          <span class="glyphicon glyphicon-remove" aria-hidden="true"></span> Remover
        </a>
      </td>
    </tr>
  </tbody>
</table>

<p *ngIf="tarefas.length==0">Nenhuma tarefa cadastrada.</p>
